Bug 598251 - Core dumps from 'gsettings-data-convert' every login: Program terminated with signal 5, Trace/breakpoint trap. [NEEDINFO]
Core dumps from 'gsettings-data-convert' every login: Program terminated with...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 17:58 EDT by Tom London
Modified: 2010-07-07 11:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 11:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
selinux: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Tom London 2010-05-31 17:58:14 EDT
Description of problem:

Here is a snippet from /var/log/messages:

May 31 14:36:14 tlondon kernel: readahead-collector: finished
May 31 14:36:25 tlondon kernel: fuse init (API version 7.13)
May 31 14:36:27 tlondon kernel: gsettings-data-[1821] trap int3 ip:3d2f646bc2 sp:7fffa6c247f0 error:0
May 31 14:36:27 tlondon abrt[1828]: saved core dump of pid 1821 to /home/tbl/core.1821 (892928 bytes)

And here is a snippet from ~/.xsession-errors:

[tbl@tlondon ~]$ cat .xsession-errors
GNOME_KEYRING_CONTROL=/tmp/keyring-zStg6a
GNOME_KEYRING_CONTROL=/tmp/keyring-zStg6a
SSH_AUTH_SOCK=/tmp/keyring-zStg6a/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-zStg6a
SSH_AUTH_SOCK=/tmp/keyring-zStg6a/ssh

GLib-GIO-ERROR **: Settings schema 'org.gnome.gedit-preferences.ui' is not installed

aborting...

(gnome-settings-daemon:1826): GdkPixbuf-CRITICAL **: gdk_pixbuf_format_get_name: assertion `format != NULL' failed

(gnome-settings-daemon:1826): GdkPixbuf-CRITICAL **: gdk_pixbuf_format_get_name: assertion `format != NULL' failed
gnome-session[1710]: WARNING: Application 'gsettings-data-convert.desktop' failed to register before timeout


Here is a backtrace from the corefile:

Loaded symbols for /usr/lib64/gio/modules/libgioremote-volume-monitor.so
Core was generated by `gsettings-data-convert'.
Program terminated with signal 5, Trace/breakpoint trap.
#0  IA__g_logv (log_domain=0x3d316bdab2 "GLib-GIO", 
    log_level=<value optimized out>, format=
    0x3d316d18e8 "Settings schema '%s' is not installed\n", args1=
    0x7fffa6c24cc0) at gmessages.c:555
555		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
(gdb) set pagination off
(gdb) thread apply all bt full

Thread 1 (Thread 1821):
#0  IA__g_logv (log_domain=0x3d316bdab2 "GLib-GIO", log_level=<value optimized out>, format=0x3d316d18e8 "Settings schema '%s' is not installed\n", args1=0x7fffa6c24cc0) at gmessages.c:555
        depth = 0
        domain = 0x0
        data = 0x0
        log_func = 0x3d2f646580 <IA__g_log_default_handler>
        domain_fatal_mask = <value optimized out>
        masquerade_fatal = <value optimized out>
        test_level = <value optimized out>
        was_fatal = 0
        was_recursion = 0
        i = 2
#1  0x0000003d2f646fa3 in IA__g_log (log_domain=<value optimized out>, log_level=<value optimized out>, format=<value optimized out>) at gmessages.c:569
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fffa6c24da0, reg_save_area = 0x7fffa6c24ce0}}
#2  0x0000003d316827b1 in g_settings_schema_new (name=0xee8a90 "org.gnome.gedit-preferences.ui") at gsettingsschema.c:149
        schema = <value optimized out>
        table = 0x0
        source = 0x0
#3  0x0000003d31685bd9 in g_settings_constructed (object=<value optimized out>) at gsettings.c:350
        settings = 0xee6800 [GSettings]
        schema_path = <value optimized out>
#4  0x0000003d3021242a in IA__g_object_newv (object_type=1, n_parameters=<value optimized out>, parameters=<value optimized out>) at gobject.c:1289
        cparams = <value optimized out>
        oparams = 0xeeb2e0
        nqueue = <value optimized out>
        object = 0xee6800 [GSettings]
        class = 0xeeab30
        unref_class = 0x0
        slist = <value optimized out>
        n_total_cparams = <value optimized out>
        n_cparams = <value optimized out>
        n_oparams = 0
        n_cvalues = <value optimized out>
        cvalues = <value optimized out>
        clist = <value optimized out>
        newly_constructed = 1
        i = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_object_newv"
#5  0x0000003d30212c6d in IA__g_object_new_valist (object_type=15641104, first_property_name=<value optimized out>, var_args=0x7fffa6c25000) at gobject.c:1377
        class = 0xeeab30
        params = 0xeef270
        name = <value optimized out>
        object = <value optimized out>
        n_params = <value optimized out>
        n_alloced_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_object_new_valist"
#6  0x0000003d30212eb1 in IA__g_object_new (object_type=15641104, first_property_name=0x3d316d1975 "schema") at gobject.c:1095
        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fffa6c250f0, reg_save_area = 0x7fffa6c25020}}
        __PRETTY_FUNCTION__ = "IA__g_object_new"
#7  0x0000000000401dce in handle_file (argc=1, argv=0x7fffa6c253c8) at gsettings-data-convert.c:87
        schema_path = 0xedfb10
        value = <value optimized out>
        i = <value optimized out>
        groups = 0xee9b80
        keys = <value optimized out>
        str = <value optimized out>
        ii = <value optimized out>
        j = <value optimized out>
        v = <value optimized out>
        keyfile = 0xecd440
        gconf_key = <value optimized out>
        builder = <value optimized out>
        s = <value optimized out>
        list = <value optimized out>
        s = <value optimized out>
        client = 0xee6460 [GConfClient]
        l = <value optimized out>
        error = 0x0
#8  main (argc=1, argv=0x7fffa6c253c8) at gsettings-data-convert.c:442
        stored_mtime = <value optimized out>
        dir_mtime = 1275053323
        statbuf = {st_dev = 64768, st_ino = 14552106, st_nlink = 2, st_mode = 16877, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 4096, st_blksize = 4096, st_blocks = 8, st_atim = {tv_sec = 1275227751, tv_nsec = 936340199}, st_mtim = {tv_sec = 1275053323, tv_nsec = 497867316}, st_ctim = {tv_sec = 1275053323, tv_nsec = 497867316}, __unused = {0, 0, 0}}
        error = 0x0
        converted = 0xecb0d0
        dir = 0xecb0f0
        name = 0xecfa63 "gedit.convert"
        filename = 0xecc210 "/usr/share/GConf/gsettings/gedit.convert"
        i = <value optimized out>
        context = <value optimized out>
        entries = {{long_name = 0x402730 "verbose", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x602fc8, description = 0x402738 "show verbose messages", arg_description = 0x0}, {long_name = 0x40274e "dry-run", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x602fcc, description = 0x402756 "do not perform any changes", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
(gdb) 

Version-Release number of selected component (if applicable):
GConf2-2.31.3-2.fc14.x86_64

How reproducible:
Every time I login

Steps to Reproduce:
1. Just login....
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2010-06-07 09:13:08 EDT
Continuing to see this everytime (GConf2-2.31.3-2.fc14.x86_64):

[tbl@tlondon ~]$ gdb gsettings-data-convert
GNU gdb (GDB) Fedora (7.1-24.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/gsettings-data-convert...Reading symbols from /usr/lib/debug/usr/bin/gsettings-data-convert.debug...done.
done.
(gdb) 
(gdb) run
Starting program: /usr/bin/gsettings-data-convert 
[Thread debugging using libthread_db enabled]

GLib-GIO-ERROR **: Settings schema 'org.gnome.gedit-preferences.ui' is not installed

aborting...

Program received signal SIGTRAP, Trace/breakpoint trap.
IA__g_logv (log_domain=0x3dba6bdab2 "GLib-GIO", 
    log_level=<value optimized out>, format=
    0x3dba6d18e8 "Settings schema '%s' is not installed\n", args1=
    0x7fffffffd820) at gmessages.c:555
555		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
(gdb)
Comment 2 Gene Snider 2010-06-07 15:51:07 EDT
I see it too.

Gene
Comment 3 Brendan Jones 2010-06-16 15:47:43 EDT
I am seeing the exact same error whilst running gpk-update-viewer. I can login fine however.

cat .xsession-errors

GLib-GIO-ERROR **: Settings schema 'org.gnome.packagekit' is not installed

aborting...

(gnome-screensaver:1941): GdkPixbuf-CRITICAL **: gdk_pixbuf_format_get_name: assertion `format != NULL' failed

How reproducible:
Everytime

Steps to Reproduce:
1. Run from System --> Administration --> Software Update
or
gpk-update-viewer from command line

Version-Release number of selected component (if applicable):
GConf2-2.31.3-2.fc14.x86_64
gnome-packagekit-2.31.1-1.fc14.x86_64
Comment 4 Tom London 2010-06-28 09:56:01 EDT
I'm still seeing this at every login with GConf2-2.31.4-1.fc14.x86_64.

Running 'gsettings-data-convert --verbose' from terminal window produces:

[tbl@tlondon gsettings]$ gsettings-data-convert --verbose
collecting settings for schema 'org.gnome.power-manager'

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/actions/sleep_type_battery', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/actions/event_when_closed_battery', no user value
Skipping GConf key '/apps/gnome-power-manager/actions/sleep_type_ac', no user value
Skipping GConf key '/apps/gnome-power-manager/actions/critical_ups', no user value
Skipping GConf key '/apps/gnome-power-manager/actions/low_ups', no user value
Skipping GConf key '/apps/gnome-power-manager/backlight/enable', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/backlight/idle_brightness', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/backlight/idle_dim_time', no user value
Skipping GConf key '/apps/gnome-power-manager/backlight/brightness_dim_battery', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/backlight/dpms_method_ac', no user value
Skipping GConf key '/apps/gnome-power-manager/backlight/dpms_method_battery', no user value
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/buttons/hibernate', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/general/installed_schema', no user value
Skipping GConf key '/apps/gnome-power-manager/general/use_profile_time', no user value
Skipping GConf key '/apps/gnome-power-manager/general/use_time_for_policy', no user value
Skipping GConf key '/apps/gnome-power-manager/general/check_type_cpu', no user value
Skipping GConf key '/apps/gnome-power-manager/general/network_sleep', no user value
Skipping GConf key '/apps/gnome-power-manager/lock/use_screensaver_settings', no user value
Skipping GConf key '/apps/gnome-power-manager/lock/blank_screen', no user value
Skipping GConf key '/apps/gnome-power-manager/lock/suspend', no user value
Skipping GConf key '/apps/gnome-power-manager/lock/hibernate', no user value
Skipping GConf key '/apps/gnome-power-manager/lock/gnome_keyring_suspend', no user value
Skipping GConf key '/apps/gnome-power-manager/lock/gnome_keyring_hibernate', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/disks/spindown_timeout_ac', no user value
Skipping GConf key '/apps/gnome-power-manager/disks/spindown_timeout_battery', no user value
Skipping GConf key '/apps/gnome-power-manager/notify/perhaps_recall', no user value
Skipping GConf key '/apps/gnome-power-manager/notify/low_capacity', no user value
Skipping GConf key '/apps/gnome-power-manager/notify/discharging', no user value
Skipping GConf key '/apps/gnome-power-manager/notify/fully_charged', no user value
Skipping GConf key '/apps/gnome-power-manager/notify/sleep_failed', no user value
Skipping GConf key '/apps/gnome-power-manager/notify/sleep_failed_uri', no user value
Skipping GConf key '/apps/gnome-power-manager/notify/low_power', no user value
Skipping GConf key '/apps/gnome-power-manager/statistics/show_events', no user value
Skipping GConf key '/apps/gnome-power-manager/statistics/smooth_data', no user value
Skipping GConf key '/apps/gnome-power-manager/statistics/graph_type', no user value
Skipping GConf key '/apps/gnome-power-manager/statistics/data_max_time', no user value
Skipping GConf key '/apps/gnome-power-manager/thresholds/percentage_low', no user value
Skipping GConf key '/apps/gnome-power-manager/thresholds/percentage_critical', no user value
Skipping GConf key '/apps/gnome-power-manager/thresholds/percentage_action', no user value
Skipping GConf key '/apps/gnome-power-manager/thresholds/time_low', no user value
Skipping GConf key '/apps/gnome-power-manager/thresholds/time_critical', no user value
Skipping GConf key '/apps/gnome-power-manager/thresholds/time_action', no user value
Skipping GConf key '/apps/gnome-power-manager/timeout/sleep_computer_battery', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/timeout/sleep_computer_ups', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/timeout/sleep_display_ups', no user value

(gsettings-data-convert:3562): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-power-manager/ui/show_actions', no user value
Skipping GConf key '/apps/gnome-power-manager/ui/icon_policy', no user value
Segmentation fault (core dumped)
[tbl@tlondon gsettings]$ 


If I "move out of the way" the file '/usr/share/GConf/gsettings/org.gnome.power-manager.gschema.migrate' and rerun, I get:

[tbl@tlondon gsettings]$ gsettings-data-convert --verbose
File 'evince.convert already converted, skipping
collecting settings for schema 'org.gnome.packagekit'

(gsettings-data-convert:3704): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:3704): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-packagekit/enable_check_firmware', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/banned_firmware', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/ignored_devices', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/ignored_messages', no user value
Skipping GConf key '/apps/gnome-packagekit/enable_check_hardware', no user value
Skipping GConf key '/apps/gnome-packagekit/enable_autoremove', no user value
Skipping GConf key '/apps/gnome-packagekit/show_depends', no user value
Skipping GConf key '/apps/gnome-packagekit/show_copy_confirm', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_update_failed', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_update_complete', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_update_complete_restart', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_update_not_battery', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_update_started', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_message', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_errors', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_complete', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_available', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_distro_upgrades', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/notify_critical', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/connection_use_mobile', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/connection_use_wifi', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/watch_active_transactions', no user value
Skipping GConf key '/apps/gnome-packagekit/autocomplete', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/session_startup_timeout', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/force_get_updates_login', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/frequency_get_updates', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/frequency_get_upgrades', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/frequency_refresh_cache', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/auto_update', no user value
Skipping GConf key '/apps/gnome-packagekit/update-icon/update_battery', no user value

(gsettings-data-convert:3704): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:3704): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:3704): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-packagekit/application/category_groups', no user value
Skipping GConf key '/apps/gnome-packagekit/application/show_all_packages', no user value

(gsettings-data-convert:3704): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gnome-packagekit/repo/show_details', no user value
Skipping GConf key '/apps/gnome-packagekit/update-viewer/notify_mobile_connection', no user value
Skipping GConf key '/apps/gnome-packagekit/update-viewer/only_newest', no user value
Skipping GConf key '/apps/gnome-packagekit/update-viewer/scroll_active', no user value
Skipping GConf key '/apps/gnome-packagekit/enable_font_helper', no user value
Skipping GConf key '/apps/gnome-packagekit/ignored_dbus_requests', no user value
Skipping GConf key '/apps/gnome-packagekit/enable_codec_helper', no user value
Skipping GConf key '/apps/gnome-packagekit/enable_mime_type_helper', no user value
Skipping GConf key '/apps/gnome-packagekit/dbus_default_interaction', no user value
Skipping GConf key '/apps/gnome-packagekit/dbus_enforced_interaction', no user value
Skipping GConf key '/apps/gnome-packagekit/install_root', no user value
Skipping GConf key '/apps/gnome-packagekit/media_repo_filenames', no user value
Segmentation fault (core dumped)
[tbl@tlondon gsettings]$ 

If I move '/usr/share/GConf/gsettings/org.gnome.packagekit.gschema.migrate' "out of the way", I get:

[tbl@tlondon gsettings]$ gsettings-data-convert --verbose
File 'evince.convert already converted, skipping
Not a regular file
collecting settings for schema 'org.gnome.gedit.preferences.editor'

(gsettings-data-convert:3767): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:3767): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
Skipping GConf key '/apps/gedit-2/preferences/editor/font/use_default_font', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/font/editor_font', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/colors/scheme', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/save/create_backup_copy', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/save/auto_save', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/save/auto_save_interval', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/undo/undo_actions_limit', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/undo/max_undo_actions', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/wrap_mode/wrap_mode', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/tabs/tabs_size', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/tabs/insert_spaces', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/auto_indent/auto_indent', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/line_numbers/display_line_numbers', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/current_line/highlight_current_line', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/bracket_matching/bracket_matching', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/right_margin/display_right_margin', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/right_margin/right_margin_position', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/smart_home_end/smart_home_end', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/save/writable_vfs_schemes', no user value
Skipping GConf key '/apps/gedit-2/preferences/editor/cursor_position/restore_cursor_position', no user value
Skipping GConf key '/apps/gedit-2/preferences/syntax_highlighting/enable', no user value
Skipping GConf key '/apps/gedit-2/preferences/search_highlighting/enable', no user value
Segmentation fault (core dumped)
[tbl@tlondon gsettings]$ 

That leaves only 'evince.convert':

[tbl@tlondon gsettings]$ gsettings-data-convert --verbose
File 'evince.convert already converted, skipping
Not a regular file
[tbl@tlondon gsettings]$ 

[The 'Not a regular file' spew is because I created a directory 'OLD' to put the other files.....]

Pretty much the backtrace is as above when it segfaults:

Program received signal SIGSEGV, Segmentation fault.
g_settings_apply (settings=0x0) at gsettings.c:1714
1714	  if (settings->priv->delayed)
(gdb) set pagination off
(gdb) bt full
#0  g_settings_apply (settings=0x0) at gsettings.c:1714
No locals.
#1  0x0000000000402112 in handle_file (argc=1, argv=0x7fffffffdf08) at gsettings-data-convert.c:249
        schema_path = <value optimized out>
        value = <value optimized out>
        i = <value optimized out>
        groups = 0x626170
        keys = <value optimized out>
        str = <value optimized out>
        ii = <value optimized out>
        j = <value optimized out>
        v = <value optimized out>
        keyfile = 0x608440
        gconf_key = <value optimized out>
        builder = <value optimized out>
        s = <value optimized out>
        list = <value optimized out>
        s = 0x0
        client = 0x623860 [GConfClient]
        l = <value optimized out>
        error = 0x0
#2  main (argc=1, argv=0x7fffffffdf08) at gsettings-data-convert.c:442
        stored_mtime = <value optimized out>
        dir_mtime = 1277732458
        statbuf = {st_dev = 64768, st_ino = 14552106, st_nlink = 3, st_mode = 16877, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 4096, st_blksize = 4096, st_blocks = 8, st_atim = {tv_sec = 1277732458, tv_nsec = 947653639}, st_mtim = {tv_sec = 1277732458, tv_nsec = 261645106}, st_ctim = {tv_sec = 1277732458, tv_nsec = 261645106}, __unused = {0, 0, 0}}
        error = 0x0
        converted = 0x6060d0
        dir = 0x6060f0
        name = 0x60aa4b "org.gnome.packagekit.gschema.migrate"
        filename = 0x607210 "/usr/share/GConf/gsettings/org.gnome.packagekit.gschema.migrate"
        i = <value optimized out>
        context = <value optimized out>
        entries = {{long_name = 0x402730 "verbose", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x602fc8, description = 0x402738 "show verbose messages", arg_description = 0x0}, {long_name = 0x40274e "dry-run", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x602fcc, description = 0x402756 "do not perform any changes", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
(gdb)
Comment 5 Tom London 2010-06-28 09:58:30 EDT
Running with '--dry-run' complains about 'realloc()' and it then hangs:

[tbl@tlondon gsettings]$ gsettings-data-convert --dry-run

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
set key 'action-critical-battery' to string 'shutdown'
set key 'backlight-battery-reduce' to boolean '1'
set key 'idle-dim-battery' to boolean '1'
set key 'idle-dim-ac' to boolean '0'
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'
set key 'button-suspend' to string 'nothing'
set key 'button-power' to string 'interactive'
set key 'button-lid-battery' to string 'blank'
set key 'button-lid-ac' to string 'blank'
set key 'spindown-enable-ac' to boolean '0'
set key 'spindown-enable-battery' to boolean '1'
set key 'sleep-computer-ac' to integer '0'
set key 'sleep-display-ac' to integer '0'
set key 'sleep-display-battery' to integer '300'
set key 'enable-sound' to boolean '1'

(gsettings-data-convert:4051): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
set key 'filter-basename' to boolean '0'
set key 'filter-newest' to boolean '1'
set key 'filter-arch' to boolean '1'
set key 'search-mode' to string 'name'

(gsettings-data-convert:4051): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Not a regular file

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:4051): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
set key 'statusbar-visible' to boolean '1'

(gsettings-data-convert:4051): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
set key 'print-syntax-highlighting' to boolean '1'
set key 'print-header' to boolean '1'
set key 'print-wrap-mode' to string 'GTK_WRAP_WORD'
set key 'print-font-body-pango' to string 'Monospace 9'
set key 'print-font-header-pango' to string 'Sans 11'
set key 'print-font-numbers-pango' to string 'Sans 8'

(gsettings-data-convert:4051): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:4051): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:4051): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:4051): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
*** glibc detected *** gsettings-data-convert: realloc(): invalid next size: 0x0000000002072980 ***
Comment 6 Tom London 2010-06-28 11:56:15 EDT
Running with valgrind:

[tbl@tlondon gsettings]$ valgrind gsettings-data-convert
==14505== Memcheck, a memory error detector
==14505== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==14505== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==14505== Command: gsettings-data-convert
==14505== 

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed

(gsettings-data-convert:14505): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
==14505== Invalid read of size 8
==14505==    at 0x39B4E87F91: g_settings_apply (gsettings.c:1714)
==14505==    by 0x402111: main (gsettings-data-convert.c:249)
==14505==  Address 0x18 is not stack'd, malloc'd or (recently) free'd
==14505== 
==14505== 
==14505== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==14505==  Access not within mapped region at address 0x18
==14505==    at 0x39B4E87F91: g_settings_apply (gsettings.c:1714)
==14505==    by 0x402111: main (gsettings-data-convert.c:249)
==14505==  If you believe this happened as a result of a stack
==14505==  overflow in your program's main thread (unlikely but
==14505==  possible), you can try to increase the size of the
==14505==  main thread stack using the --main-stacksize= flag.
==14505==  The main thread stack size used in this run was 10485760.
==14505== 
==14505== HEAP SUMMARY:
==14505==     in use at exit: 125,805 bytes in 800 blocks
==14505==   total heap usage: 2,330 allocs, 1,530 frees, 787,671 bytes allocated
==14505== 
==14505== LEAK SUMMARY:
==14505==    definitely lost: 104 bytes in 2 blocks
==14505==    indirectly lost: 286 bytes in 5 blocks
==14505==      possibly lost: 22,752 bytes in 323 blocks
==14505==    still reachable: 102,663 bytes in 470 blocks
==14505==         suppressed: 0 bytes in 0 blocks
==14505== Rerun with --leak-check=full to see details of leaked memory
==14505== 
==14505== For counts of detected and suppressed errors, rerun with: -v
==14505== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 6 from 6)
Segmentation fault (core dumped)
[tbl@tlondon gsettings]$ 

And running valgrind with --dry-run:

[tbl@tlondon gsettings]$ valgrind gsettings-data-convert --dry-run
==14564== Memcheck, a memory error detector
==14564== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==14564== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==14564== Command: gsettings-data-convert --dry-run
==14564== 

(gsettings-data-convert:14564): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

(gsettings-data-convert:14564): GLib-GIO-CRITICAL **: g_settings_delay: assertion `G_IS_SETTINGS (settings)' failed
set key 'action-critical-battery' to string 'shutdown'
set key 'backlight-battery-reduce' to boolean '1'
set key 'idle-dim-battery' to boolean '1'
set key 'idle-dim-ac' to boolean '0'
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'
set key 'button-suspend' to string 'nothing'
set key 'button-power' to string 'interactive'
set key 'button-lid-battery' to string 'blank'
set key 'button-lid-ac' to string 'blank'
set key 'spindown-enable-ac' to boolean '0'
set key 'spindown-enable-battery' to boolean '1'
set key 'sleep-computer-ac' to integer '0'
set key 'sleep-display-ac' to integer '0'
set key 'sleep-display-battery' to integer '300'
set key 'enable-sound' to boolean '1'

(gsettings-data-convert:14564): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
==14564== Invalid write of size 8
==14564==    at 0x401FA9: main (gsettings-data-convert.c:449)
==14564==  Address 0x4d1d0f8 is 6 bytes after a block of size 2 alloc'd
==14564==    at 0x4A05255: realloc (vg_replace_malloc.c:476)
==14564==    by 0x39B3E454DE: g_realloc (gmem.c:182)
==14564==    by 0x401F94: main (gsettings-data-convert.c:448)
==14564== 
==14564== Invalid write of size 8
==14564==    at 0x401FAD: main (gsettings-data-convert.c:450)
==14564==  Address 0x4d1d100 is 14 bytes after a block of size 2 alloc'd
==14564==    at 0x4A05255: realloc (vg_replace_malloc.c:476)
==14564==    by 0x39B3E454DE: g_realloc (gmem.c:182)
==14564==    by 0x401F94: main (gsettings-data-convert.c:448)
==14564== 
==14564== Invalid read of size 8
==14564==    at 0x401CBD: main (gsettings-data-convert.c:430)
==14564==  Address 0x4d1d0f0 is 0 bytes inside a block of size 2 alloc'd
==14564==    at 0x4A05255: realloc (vg_replace_malloc.c:476)
==14564==    by 0x39B3E454DE: g_realloc (gmem.c:182)
==14564==    by 0x401F94: main (gsettings-data-convert.c:448)
==14564== 
==14564== Invalid read of size 1
==14564==    at 0x4A06863: strcmp (mc_replace_strmem.c:426)
==14564==    by 0x401CE4: main (gsettings-data-convert.c:432)
==14564==  Address 0x82e0 is not stack'd, malloc'd or (recently) free'd
==14564== 
==14564== 
==14564== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==14564==  Access not within mapped region at address 0x82E0
==14564==    at 0x4A06863: strcmp (mc_replace_strmem.c:426)
==14564==    by 0x401CE4: main (gsettings-data-convert.c:432)
==14564==  If you believe this happened as a result of a stack
==14564==  overflow in your program's main thread (unlikely but
==14564==  possible), you can try to increase the size of the
==14564==  main thread stack using the --main-stacksize= flag.
==14564==  The main thread stack size used in this run was 10485760.
==14564== 
==14564== HEAP SUMMARY:
==14564==     in use at exit: 125,601 bytes in 783 blocks
==14564==   total heap usage: 2,235 allocs, 1,452 frees, 814,315 bytes allocated
==14564== 
==14564== LEAK SUMMARY:
==14564==    definitely lost: 143 bytes in 3 blocks
==14564==    indirectly lost: 262 bytes in 4 blocks
==14564==      possibly lost: 39,191 bytes in 498 blocks
==14564==    still reachable: 86,005 bytes in 278 blocks
==14564==         suppressed: 0 bytes in 0 blocks
==14564== Rerun with --leak-check=full to see details of leaked memory
==14564== 
==14564== For counts of detected and suppressed errors, rerun with: -v
==14564== ERROR SUMMARY: 4 errors from 4 contexts (suppressed: 6 from 6)
Segmentation fault (core dumped)
[tbl@tlondon gsettings]$
Comment 7 Tom London 2010-06-28 22:10:01 EDT
Poking around a bit with gdb, it appears the code in handle_file() sometimes assigns NULL to settings:

(gdb) break g_settings_delay
Breakpoint 2 at 0x39b4e88e00: file gsettings.c, line 1679.
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y

Starting program: /usr/bin/gsettings-data-convert 
[Thread debugging using libthread_db enabled]

(gsettings-data-convert:8386): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion `path != NULL' failed

Breakpoint 1, handle_file (argc=1, argv=0x7fffffffdf18)
    at gsettings-data-convert.c:88
88	      g_settings_delay (settings);
(gdb) cont
Continuing.

Breakpoint 2, g_settings_delay (settings=0x0) at gsettings.c:1679
1679	{
(gdb) 

[Notice that 'settings' is NULL.]

Believe this is the code fragment (lines 87,88):

(gdb) list 60,100
60	  error = NULL;
61	  if (!g_key_file_load_from_file (keyfile, filename, 0, &error))
62	    {
63	      g_printerr ("%s\n", error->message);
64	      g_error_free (error);
65	
66	      g_key_file_free (keyfile);
67	
68	      return FALSE;
69	    }
70	
71	  client = gconf_client_get_default ();
72	
73	  groups = g_key_file_get_groups (keyfile, NULL);
74	  for (i = 0; groups[i]; i++)
75	    {
76	      gchar **schema_path;
77	
78	      schema_path = g_strsplit (groups[i], ":", 2);
79	
80	      if (verbose)
81	        {
82	          g_print ("collecting settings for schema '%s'\n", schema_path[0]);
83	          if (schema_path[1])
84	            g_print ("for storage at '%s'\n", schema_path[1]);
85	        }
86	
87	      settings = g_settings_new_with_path (schema_path[0], schema_path[1]);
88	      g_settings_delay (settings);
89	
90	      error = NULL;
91	      if ((keys = g_key_file_get_keys (keyfile, groups[i], NULL, &error)) == NULL)
92	        {
93	          g_printerr ("%s", error->message);
94	          g_error_free (error);
95	
96	          continue;
97	        }
98	
99	      for (j = 0; keys[j]; j++)
100	        {
(gdb) 

I'm clearly beyond my pay grade here, but I don't suppose a simple check for settings being NULL would work around this?

Appears to be working on "org.gnome.power-manager" ....:

Breakpoint 1, handle_file (argc=1, argv=0x7fffffffdf18) at gsettings-data-convert.c:88
88	      g_settings_delay (settings);
(gdb) print schema_path[0]
$12 = (gchar *) 0x626730 "org.gnome.power-manager"
(gdb) print schema_path[1]
$13 = (gchar *) 0x0
(gdb)
Comment 8 Tom London 2010-06-29 11:53:16 EDT
After updating to GConf2-2.31.5-1.fc14.x86_64, running 'gsettings-data-convert' produces a SIGTRAP:

(gdb) run
Starting program: /usr/bin/gsettings-data-convert 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7986710 (LWP 19880)]
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'
Not a regular file

GLib-GIO-ERROR **: Settings schema 'org.gnome.gedit-preferences.ui' is not installed

aborting...

Program received signal SIGTRAP, Trace/breakpoint trap.
g_logv (log_domain=0x39b4ec4192 "GLib-GIO", log_level=<value optimized out>, 
    format=0x39b4ed7558 "Settings schema '%s' is not installed\n", args1=
    0x7fffffffd810) at gmessages.c:555
555		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
(gdb)


Is it possible that gedit.convert has a typo?

[root@tlondon gsettings]# diff -u OLD gedit.convert
--- OLD/gedit.convert	2010-06-08 20:23:55.000000000 -0700
+++ gedit.convert	2010-06-29 08:35:07.717654111 -0700
@@ -22,7 +22,7 @@
 syntax-highlighting = /apps/gedit-2/preferences/syntax_highlighting/enable
 search-highlighting = /apps/gedit-2/preferences/search_highlighting/enable
 
-[org.gnome.gedit-preferences.ui]
+[org.gnome.gedit.preferences.ui]
 toolbar-visible = /apps/gedit-2/preferences/ui/toolbar/toolbar_visible
 toolbar-buttons-style = /apps/gedit-2/preferences/ui/toolbar/toolbar_buttons_style
 statusbar-visible = /apps/gedit-2/preferences/ui/statusbar/statusbar_visible
[root@tlondon gsettings]# 

If I make this change, I no longer get the SIGTRAP, but I get 'realloc(): invalid next size" and a hang:

(gdb) run
Starting program: /usr/bin/gsettings-data-convert 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7986710 (LWP 20297)]
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'
Not a regular file
*** glibc detected *** /usr/bin/gsettings-data-convert: realloc(): invalid next size: 0x00000000006050d0 ***
^C
Program received signal SIGINT, Interrupt.
__lll_lock_wait_private ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
97	2:	movl	%edx, %eax
(gdb) 

Running this with valgrind seems to avoid the realloc() spew, but returns to a SIGSEGV:

[tbl@tlondon ~]$ valgrind gsettings-data-convert 
==20852== Memcheck, a memory error detector
==20852== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==20852== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==20852== Command: gsettings-data-convert
==20852== 
==20852== Syscall param socketcall.sendmsg(msg) points to uninitialised byte(s)
==20852==    at 0x3F3680EFD0: __sendmsg_nocancel (syscall-template.S:82)
==20852==    by 0x39B4E643F6: g_socket_send_message (gsocket.c:2852)
==20852==    by 0x39B4E796A7: g_unix_connection_send_credentials (gunixconnection.c:349)
==20852==    by 0x39B4E8E14D: _g_dbus_auth_run_client (gdbusauth.c:617)
==20852==    by 0x39B4E9944B: initable_init (gdbusconnection.c:1846)
==20852==    by 0x39B4E95750: g_bus_get_sync (gdbusconnection.c:5555)
==20852==    by 0x547CBB5: dconf_settings_backend_get_bus (dconfsettingsbackend.c:413)
==20852==    by 0x547D19F: dconf_settings_backend_subscribe (dconfsettingsbackend.c:557)
==20852==    by 0x39B4614669: g_object_newv (gobject.c:1376)
==20852==    by 0x39B4614F3C: g_object_new_valist (gobject.c:1464)
==20852==    by 0x39B4615180: g_object_new (gobject.c:1182)
==20852==    by 0x40215F: main (gsettings-data-convert.c:90)
==20852==  Address 0x7fefff630 is on thread 1's stack
==20852== 
==20852== Thread 2:
==20852== Syscall param socketcall.sendmsg(msg) points to uninitialised byte(s)
==20852==    at 0x3F3680EFED: ??? (syscall-template.S:82)
==20852==    by 0x39B4E643F6: g_socket_send_message (gsocket.c:2852)
==20852==    by 0x39B4EA81BD: write_message_in_idle_cb (gdbusprivate.c:786)
==20852==    by 0x39B3E3C761: g_main_context_dispatch (gmain.c:2044)
==20852==    by 0x39B3E40617: g_main_context_iterate (gmain.c:2675)
==20852==    by 0x39B3E40B24: g_main_loop_run (gmain.c:2883)
==20852==    by 0x39B4EA6E03: shared_thread_func (gdbusprivate.c:247)
==20852==    by 0x39B3E65D83: g_thread_create_proxy (gthread.c:1898)
==20852==    by 0x3F368079A0: start_thread (pthread_create.c:301)
==20852==    by 0x3F364E4D9C: clone (clone.S:115)
==20852==  Address 0x607eb70 is on thread 2's stack
==20852== 
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'
==20852== Thread 1:
==20852== Invalid write of size 8
==20852==    at 0x401FF9: main (gsettings-data-convert.c:453)
==20852==  Address 0x4f35598 is 6 bytes after a block of size 2 alloc'd
==20852==    at 0x4A05255: realloc (vg_replace_malloc.c:476)
==20852==    by 0x39B3E454DE: g_realloc (gmem.c:182)
==20852==    by 0x401FE4: main (gsettings-data-convert.c:452)
==20852== 
==20852== Invalid write of size 8
==20852==    at 0x401FFD: main (gsettings-data-convert.c:454)
==20852==  Address 0x4f355a0 is 14 bytes after a block of size 2 alloc'd
==20852==    at 0x4A05255: realloc (vg_replace_malloc.c:476)
==20852==    by 0x39B3E454DE: g_realloc (gmem.c:182)
==20852==    by 0x401FE4: main (gsettings-data-convert.c:452)
==20852== 
==20852== Invalid read of size 8
==20852==    at 0x401D0D: main (gsettings-data-convert.c:434)
==20852==  Address 0x4f35590 is 0 bytes inside a block of size 2 alloc'd
==20852==    at 0x4A05255: realloc (vg_replace_malloc.c:476)
==20852==    by 0x39B3E454DE: g_realloc (gmem.c:182)
==20852==    by 0x401FE4: main (gsettings-data-convert.c:452)
==20852== 
==20852== Invalid read of size 1
==20852==    at 0x4A06863: strcmp (mc_replace_strmem.c:426)
==20852==    by 0x401D34: main (gsettings-data-convert.c:436)
==20852==  Address 0x7080 is not stack'd, malloc'd or (recently) free'd
==20852== 
==20852== 
==20852== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==20852==  Access not within mapped region at address 0x7080
==20852==    at 0x4A06863: strcmp (mc_replace_strmem.c:426)
==20852==    by 0x401D34: main (gsettings-data-convert.c:436)
==20852==  If you believe this happened as a result of a stack
==20852==  overflow in your program's main thread (unlikely but
==20852==  possible), you can try to increase the size of the
==20852==  main thread stack using the --main-stacksize= flag.
==20852==  The main thread stack size used in this run was 10485760.
==20852== 
==20852== HEAP SUMMARY:
==20852==     in use at exit: 235,013 bytes in 1,669 blocks
==20852==   total heap usage: 4,172 allocs, 2,503 frees, 498,985 bytes allocated
==20852== 
==20852== LEAK SUMMARY:
==20852==    definitely lost: 449 bytes in 7 blocks
==20852==    indirectly lost: 262 bytes in 4 blocks
==20852==      possibly lost: 100,804 bytes in 816 blocks
==20852==    still reachable: 133,498 bytes in 842 blocks
==20852==         suppressed: 0 bytes in 0 blocks
==20852== Rerun with --leak-check=full to see details of leaked memory
==20852== 
==20852== For counts of detected and suppressed errors, rerun with: -v
==20852== Use --track-origins=yes to see where uninitialised values come from
==20852== ERROR SUMMARY: 10 errors from 6 contexts (suppressed: 6 from 6)
Killed
[tbl@tlondon ~]$
Comment 9 Tom London 2010-06-29 17:46:16 EDT
GConf2-2.31.5-2.fc14.x86_64 makes this work!

Thanks!


[tbl@tlondon ~]$ valgrind gsettings-data-convert 
==32264== Memcheck, a memory error detector
==32264== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==32264== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==32264== Command: gsettings-data-convert
==32264== 
==32264== Syscall param socketcall.sendmsg(msg) points to uninitialised byte(s)
==32264==    at 0x3F3680EFD0: __sendmsg_nocancel (syscall-template.S:82)
==32264==    by 0x39B4E643F6: g_socket_send_message (gsocket.c:2852)
==32264==    by 0x39B4E796A7: g_unix_connection_send_credentials (gunixconnection.c:349)
==32264==    by 0x39B4E8E14D: _g_dbus_auth_run_client (gdbusauth.c:617)
==32264==    by 0x39B4E9944B: initable_init (gdbusconnection.c:1846)
==32264==    by 0x39B4E95750: g_bus_get_sync (gdbusconnection.c:5555)
==32264==    by 0x547CBB5: dconf_settings_backend_get_bus (dconfsettingsbackend.c:413)
==32264==    by 0x547D19F: dconf_settings_backend_subscribe (dconfsettingsbackend.c:557)
==32264==    by 0x39B4614669: g_object_newv (gobject.c:1376)
==32264==    by 0x39B4614F3C: g_object_new_valist (gobject.c:1464)
==32264==    by 0x39B4615180: g_object_new (gobject.c:1182)
==32264==    by 0x40216F: main (gsettings-data-convert.c:90)
==32264==  Address 0x7fefff630 is on thread 1's stack
==32264== 
==32264== Thread 2:
==32264== Syscall param socketcall.sendmsg(msg) points to uninitialised byte(s)
==32264==    at 0x3F3680EFED: ??? (syscall-template.S:82)
==32264==    by 0x39B4E643F6: g_socket_send_message (gsocket.c:2852)
==32264==    by 0x39B4EA81BD: write_message_in_idle_cb (gdbusprivate.c:786)
==32264==    by 0x39B3E3C761: g_main_context_dispatch (gmain.c:2044)
==32264==    by 0x39B3E40617: g_main_context_iterate (gmain.c:2675)
==32264==    by 0x39B3E40B24: g_main_loop_run (gmain.c:2883)
==32264==    by 0x39B4EA6E03: shared_thread_func (gdbusprivate.c:247)
==32264==    by 0x39B3E65D83: g_thread_create_proxy (gthread.c:1898)
==32264==    by 0x3F368079A0: start_thread (pthread_create.c:301)
==32264==    by 0x3F364E4D9C: clone (clone.S:115)
==32264==  Address 0x607eb70 is on thread 2's stack
==32264== 
Failed to get GConf key '"d"> = /apps/gnome-power-manager/backlight/brightness_ac': Bad key or directory name: ""d"> = /apps/gnome-power-manager/backlight/brightness_ac": Must begin with a slash '/'
==32264== 
==32264== HEAP SUMMARY:
==32264==     in use at exit: 309,127 bytes in 2,553 blocks
==32264==   total heap usage: 9,006 allocs, 6,453 frees, 841,980 bytes allocated
==32264== 
==32264== LEAK SUMMARY:
==32264==    definitely lost: 798 bytes in 16 blocks
==32264==    indirectly lost: 33,176 bytes in 9 blocks
==32264==      possibly lost: 197,767 bytes in 1,875 blocks
==32264==    still reachable: 77,386 bytes in 653 blocks
==32264==         suppressed: 0 bytes in 0 blocks
==32264== Rerun with --leak-check=full to see details of leaked memory
==32264== 
==32264== For counts of detected and suppressed errors, rerun with: -v
==32264== Use --track-origins=yes to see where uninitialised values come from
==32264== ERROR SUMMARY: 21 errors from 2 contexts (suppressed: 6 from 6)
[tbl@tlondon ~]$ gsettings-data-convert --verbose
All uptodate, nothing to do
[tbl@tlondon ~]$
Comment 10 Tom London 2010-07-07 11:07:20 EDT
I'm no longer seeing this.

Closing.

Note You need to log in before you can comment on or make changes to this bug.